Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.red5.server.api.listeners
Interface IConnectionListener

    public interface IConnectionListener

Interface for listeners to connection events.

Author:
  The Red5 Project (red5@osflash.org), Joachim Bauch (bauch@struktur.de)

Method Summary
`void` | `notifyConnected(IConnection conn)` A new connection was established.
`void` | `notifyDisconnected(IConnection conn)` A connection was disconnected.

Method Detail

### notifyConnected

    void notifyConnected(IConnection conn)

  A new connection was established.

  Parameters:
    `conn` - the new connection

### notifyDisconnected

    void notifyDisconnected(IConnection conn)

  A connection was disconnected.

  Parameters:
    `conn` - the disconnected connection

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 The Red5 Project